import {BookData} from '../../common';
import {createEpubArchive, prepareEpubContents} from './packaging';

export const name = 'epub' as const;

export const bindBook = async <U extends BookData = BookData>(bookPackage: U) => {
	const data = await prepareEpubContents(bookPackage);

	return await createEpubArchive(data);
};
